Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.metrics.spi
Class Util

    java.lang.Object
      org.apache.hadoop.metrics.spi.Util

    @InterfaceAudience.Public
    @InterfaceStability.Evolving
    public class Util

extends Object

Static utility methods

Method Summary
`static List<InetSocketAddress>` | `parse(String specs, int defaultPort)` Parses a space and/or comma separated sequence of server specifications of the form hostname or hostname:port.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### parse

    public static List<InetSocketAddress> parse(String specs,
                                                int defaultPort)

  Parses a space and/or comma separated sequence of server specifications of the form hostname or hostname:port. If the specs string is null, defaults to localhost:defaultPort.

  Returns:
    a list of InetSocketAddress objects.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation